micro_utils.dokka
0.15.1

# MatrixBuilder

class MatrixBuilder<T>

## Constructors

MatrixBuilder
Link copied to clipboard
fun MatrixBuilder()

## Functions

row
Link copied to clipboard
fun row(t: List<T>): Boolean
unaryPlus
Link copied to clipboard
operator fun List<T>.unaryPlus(): Boolean

## Properties

matrix
Link copied to clipboard
val matrix: Matrix<T>

## Extensions

row
Link copied to clipboard
fun <T> MatrixBuilder<T>.row(block: RowBuilder<T>.() -> Unit): Boolean
fun <T> MatrixBuilder<T>.row(vararg elements: T): Boolean